package com.ffii.fpsms.modules.pickOrder.entity

import com.ffii.core.support.AbstractRepository
import org.springframework.stereotype.Repository

@Repository
interface TruckLaneVersionRepository : AbstractRepository<TruckLaneVersion, Long> {
    fun findAllByTruckLanceCodeAndDeletedFalseOrderByCreatedDesc(truckLanceCode: String): List<TruckLaneVersion>
    fun findAllByDeletedFalseOrderByCreatedDesc(): List<TruckLaneVersion>
    fun findByIdAndDeletedFalse(id: Long): TruckLaneVersion?
}

